# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TCancelOperationReq

Packages that use TCancelOperationReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TCancelOperationReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TCancelOperationReq
Modifier and Type
Class
Description
`class`
`TCancelOperationReq`
`class`
`TCancelOperationReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TCancelOperationReq
Modifier and Type
Field
Description
`TCancelOperationReq`
TCLIService.CancelOperation_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TCancelOperationReq
Modifier and Type
Method
Description
`TCancelOperationReq`
TCancelOperationReq.`deepCopy()`
`TCancelOperationReq`
TCLIService.CancelOperation_args.`getReq()`
`TCancelOperationReq`
TCancelOperationReq.`setOperationHandle(TOperationHandle operationHandle)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCancelOperationReq
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`CancelOperation(TCancelOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelOperationResp> resultHandler)`
`void`
TCLIService.AsyncIface.`CancelOperation(TCancelOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelOperationResp> resultHandler)`
`TCancelOperationResp`
TCLIService.Client.`CancelOperation(TCancelOperationReq req)`
`TCancelOperationResp`
TCLIService.Iface.`CancelOperation(TCancelOperationReq req)`
`int`
TCancelOperationReq.`compareTo(TCancelOperationReq other)`
`boolean`
TCancelOperationReq.`equals(TCancelOperationReq that)`
`void`
TCLIService.Client.`send_CancelOperation(TCancelOperationReq req)`
`TCLIService.CancelOperation_args`
TCLIService.CancelOperation_args.`setReq(TCancelOperationReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCancelOperationReq
Modifier
Constructor
Description
``
`CancelOperation_args(TCancelOperationReq req)`
``
`CancelOperation_call(TCancelOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelOperationResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TCancelOperationReq(TCancelOperationReq other)`
Performs a deep copy on other.